%define oname qt-update-notifier

Name:		qt-update-notifier-kf5
Version:	1.7.1
Release:	%mkrel 1
Summary:	KDE technology based PCLinuxOS update notifier tray application
Summary(de): Zeigt Benachrichtigungen über verfügbare Aktualisierungen im Systray, dafür wird KDE Technologie benutzt.
License:	GPLv2
URL:		https://github.com/mhogomchungu/qt-update-notifier/releases
Source:		%{oname}-%{version}.tar.xz
Group:		Graphical desktop/KDE5
Requires: knotifications
BuildRequires: qtbase5-devel
BuildRequires: cmake
BuildRequires: lib64ssh2-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel

Conflicts: %oname

%description
This project seeks to provide a Qt5 technology based PCLinuxOS update notifier tray application

%description -l de
Dieses Paket bietet einen Dienst der im Systray anzeigt, ob Aktualisierungen für Ihr PCLinuxOS
System verfügbar sind. Dieses Programm baut auf der Qt5 Technologie auf.

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_qt5 -DQT5_BUILD=true -DKF5=true
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#fix permission on desktop file
chmod 0644 %buildroot/%{_datadir}/applications/qt-update-notifier.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README.md changelog
%{_bindir}/qt-update-notifier
%{_bindir}/qt-update-notifier-cli
%{_datadir}/applications/qt-update-notifier.desktop
%{_datadir}/icons/*.png
%{_datadir}/%{oname}-translations/*.qm
%{_sysconfdir}/xdg/autostart/qt-update-notifier-autostart.desktop

%changelog
* Wed Aug 16 2017 pp <pp> 1.7.1-1pclos2017
- update

